net.sf.jasperreports.export.parameters

## Class ParametersXmlExporterOutput

- java.lang.Object
- - net.sf.jasperreports.export.parameters.AbstractParametersExporterOutput
  - - net.sf.jasperreports.export.parameters.ParametersWriterExporterOutput
    - - net.sf.jasperreports.export.parameters.ParametersXmlExporterOutput

- All Implemented Interfaces:
    ExporterOutput, WriterExporterOutput, XmlExporterOutput

  Deprecated.
  To be removed.

      public class ParametersXmlExporterOutput
      extends ParametersWriterExporterOutput
      implements XmlExporterOutput

  Version:
    $Id: ParametersXmlExporterOutput.java 6738 2013-11-13 15:13:03Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.export.parameters.ParametersWriterExporterOutput

      `encoding`

    - ### Fields inherited from class net.sf.jasperreports.export.parameters.AbstractParametersExporterOutput

      `parameters`

    - ### Fields inherited from interface net.sf.jasperreports.export.WriterExporterOutput

      `PROPERTY_CHARACTER_ENCODING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParametersXmlExporterOutput(JasperReportsContext jasperReportsContext, java.util.Map<JRExporterParameter,java.lang.Object> parameters, JasperPrint jasperPrint)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.File` | `getImagesDir()` Deprecated.
    `java.lang.Boolean` | `isEmbeddingImages()` Deprecated. Returns a boolean value specifying whether images should be store internally or rather as files on disk.
    `protected void` | `setEncoding()` Deprecated.

    - ### Methods inherited from class net.sf.jasperreports.export.parameters.ParametersWriterExporterOutput

      `close, getEncoding, getWriter`

    - ### Methods inherited from class net.sf.jasperreports.export.parameters.AbstractParametersExporterOutput

      `getParameterResolver, getPropertiesUtil`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.export.WriterExporterOutput

      `close, getEncoding, getWriter`

- - ### Constructor Detail

    - #### ParametersXmlExporterOutput

          public ParametersXmlExporterOutput(JasperReportsContext jasperReportsContext,
                                     java.util.Map<JRExporterParameter,java.lang.Object> parameters,
                                     JasperPrint jasperPrint)

      Deprecated.

  - ### Method Detail

    - #### setEncoding

          protected void setEncoding()

      Deprecated.
      Overrides:
        `setEncoding` in class `ParametersWriterExporterOutput`

    - #### isEmbeddingImages

          public java.lang.Boolean isEmbeddingImages()

      Deprecated.
      Description copied from interface: `XmlExporterOutput`
      Returns a boolean value specifying whether images should be store internally or rather as files on disk.
      Specified by:
        `isEmbeddingImages` in interface `XmlExporterOutput`

    - #### getImagesDir

          public java.io.File getImagesDir()

      Deprecated.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com